View Issue Details

IDProjectCategoryView StatusLast Update
0023924LazarusLCLpublic2013-02-22 15:59
ReportergiaoAssigned ToJesus Reyes 
PriorityhighSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
PlatformgtkOSfedora 18, opensuse 12.2OS Version
Product Version1.0.6Product Build 
Target Version1.0.8Fixed in Version1.1 (SVN) 
Summary0023924: wrong TStringGrid behavior
Descriptionwhen stringgrid in goEditing mode and I'm pressing special keys (such as Ctrl, Caps, Shift or etc), I have a char '?' inserted in a cell. So I can't paste or insert data into a cell (ctrl-v for except not working). The Alt button works write ok. Tested on Calculate Linux, Fedora 18, OpenSuse 12.2 and Debian 6.0.6 (GTK). Windows XP, Windows 7 works fine. Lazarus 1.0.6 stable, Lazarus 1.0.7 16.02.13
TagsNo tags attached.
Fixed in Revision37446 merged in 40363
LazTarget1.0.8
WidgetsetGTK 2
Attached Files

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2013-02-19 23:00 giao New Issue
2013-02-20 05:49 Jesus Reyes Assigned To => Jesus Reyes
2013-02-20 05:49 Jesus Reyes Status new => assigned
2013-02-22 15:59 Jesus Reyes Fixed in Revision => 37446 merged in 40363
2013-02-22 15:59 Jesus Reyes LazTarget => 1.0.8
2013-02-22 15:59 Jesus Reyes Status assigned => resolved
2013-02-22 15:59 Jesus Reyes Fixed in Version => 1.1 (SVN)
2013-02-22 15:59 Jesus Reyes Resolution open => fixed
2013-02-22 15:59 Jesus Reyes Target Version => 1.0.8